#include <stdio.h>
#include <malloc.h>

#define TERMINATE				0
#define INSERT_ADDRESS		1
#define DELETE_ADDRESS		2
#define LOOK4ADDRESS			3
#define DISPLAY_ADDRESSES	4

#define NAME_LEN	 40
#define PHONE_LEN	  8
#define EMAIL_LEN  30

struct address {
   char name[NAME_LEN];
   char phone[PHONE_LEN];
   char email[EMAIL_LEN];
	struct address *next;
	};

typedef struct address ADDRESS;
typedef ADDRESS *PADDRESS;

int menu(void);
void insert_address(PADDRESS);
void delete_address(char *name);
void look4address(char *name);
void display_addresses(void);

PADDRESS get_address(void);
void display_address(PADDRESS);

PADDRESS new_addr_ptr;
PADDRESS head_ptr=NULL;	/* pointer to start of list */

/* ******************* */
void main()
/* ******************* */
{
int selected_op;
char name[NAME_LEN];


while((selected_op=menu())!= TERMINATE){
	switch(selected_op){
   	case INSERT_ADDRESS :
      	if((new_addr_ptr=get_address())!= NULL)
	      	insert_address(new_addr_ptr);
         else
         	printf("Out of memory...");
      	break;
		case DELETE_ADDRESS :
			printf("    :");
         scanf("%s",name);
      	delete_address(name);
      	break;
      case LOOK4ADDRESS  :
			printf("    :");
         scanf("%s",name);
      	look4address(name);
      	break;
      case DISPLAY_ADDRESSES :
			display_addresses();
      	break;
       default :
      	printf(" o  \n");
      	break;
   	}
   display_address(new_addr_ptr);
	}
}

int menu(void)
{
int choice;

printf("\n\n\n\n\n");
printf("0 - TERMINATE\n");
printf("1 - GET ADDRESS\n");
printf("2 - INSERT ADDRESS\n");
printf("3 - LOOK FOR ADDRESS\n");
printf("4 - DISPLAY ADDRESSES\n");
printf("Select operation:");
scanf("%d",&choice);
return (choice);
}

PADDRESS get_address(void)
{
PADDRESS p;

if((p=(PADDRESS)malloc(sizeof(ADDRESS)))!=NULL) {
	printf(":");
	scanf("%s",p->name);
	printf(":");
	scanf("%s",p->phone);
	printf("email:");
	scanf("%s",p->email);
   }
return p;
}

void display_address(PADDRESS p)
{
printf("-----------------------------\n")
printf(": %s\n",p->name);
printf(": %s\n",p->phone);
printf("email: %s\n",p->email);
}
void insert_address(PADDRESS)
{
printf("insert address\n");
}

void delete_address(char * name)
{
printf("delete address\n");
}

void look4address(char *name)
{
printf("look4address\n");
}



void display_addresses(void)
{
printf("display addresses\n");
}
