/* Performs CASE INSENSITIVE comparison between two strings.
   Returns 1 for success and 0 for failure */

int strcmp_ci(const char *first, const char *second) {

	if(strlen(first) == strlen(second)) { /* Both *first & *second are
										 either zero or non-zero */
		do {
			if( *first >= 65 && *first <= 90 )   /* Small letters */
				if( *second == *first || *second == *first + 32 )
					continue;
			if( *first >= 97 && *first <= 122 )  /* Capital letters */
				if( *second == *first || *second == *first - 32 )
					continue;
			if( *first == *second ) 			/* Other Non-Zero characters */
				continue;

			return 0;
		}
		while(*++first && *++second);

		return 1;
	}
return 0;
}
