/* filename: curtest2.c */
/*     BIOS services    */ 
/*       */ 

#include <dos.h>
#include <stdio.h>

#define	NORM		07	/* FRED | FGREEN | FBLUE */	

void gotorc(int, int);

void main()
{
cls();
gotorc(1,1);
printf("start running\n");
gotorc(8,10);
printf("point 8, 10\n");
gotorc(14,30);
printf("point 14, 30\n");
}

/* ********************* */
void cls(void)
/* ********************* */
{
scroll(6,0,0,0,25,79,NORM);
}

/* *************** */
void gotorc(char row,char colon)
/* *************** */
	{
	union REGS regs;

	regs.h.ah = 0x2;
	regs.h.bh = 00;
	regs.h.dh = row;
	regs.h.dl = colon;
	int86(0x10,&regs,&regs);
	}


/* ************************************************** */
void scroll(int up_down,int lines,int r1,int c1,int r2,int c2,int attr)
/* ************************************************** */
/*
	if UP (6) : scrolls up if DOWN (7) : scrolls down 
	if lines = 0 : blanks entire window
*/	

{
union REGS regs;

regs.h.ah = up_down;
regs.h.al = lines;
regs.h.ch = r1;
regs.h.cl = c1;

regs.h.bh = attr;
regs.h.dh = r2;
regs.h.dl = c2;
int86(0x10,&regs,&regs);
}
