#ifndef LOGIC_CIRCUIT_HEADER_INCLUDED
#define LOGIC_CIRCUIT_HEADER_INCLUDED

enum eGate {
	G_INVALID = 0,
	G_AND,
	G_OR,
	G_NAND,
	G_NOR,
	G_NOT,
	G_XOR
};


#define B_COLUMNS	3
#define C_GATES		8
#define G_PROPERTIES	4
extern int gates[B_COLUMNS][C_GATES][G_PROPERTIES];

/*
Sample circuit configuration file

AND,C1,1,2,3
XOR,C2,0,1,4
NOT,C3,1,2
*/

void LoadCircuit(const char *filename);

#endif	/* LOGIC_CIRCUIT_HEADER_INCLUDED */

