/* *********************************************************** */
/* test4.c                                                     */
/* exersice 4   -  Using functions                          	*/
/*         */
/* *********************************************************** */
#include <stdio.h>

#define TERMINATE			0
#define GET_WORDS			1
#define INCR_SORT			2
#define DECR_SORT			3
#define DISPLAY_WORDS	4
#define STATISTICS		5

#define MAX_WORDS	30
#define MAX_WORD_LEN	40

char word[MAX_WORDS][MAX_WORD_LEN];

int menu(void);
void get_words(void);
void incremental_sort(void);
void decremental_sort(void);
void display_words(void);
void do_statistics(void);



void main()
{
int selected_op;

while((selected_op=menu())!= TERMINATE){
	switch(selected_op){
   	case GET_WORDS :
      	get_words();
      	break;
		case INCR_SORT :
      	incremental_sort();
      	break;
      case DECR_SORT  :
      	decremental_sort();
      	break;
      case DISPLAY_WORDS :
			display_words();
      	break;
      case STATISTICS :
			do_statistics();
      	break;
      default :
      	printf(" o  \n");
      	break;
   	}
	}
}

int menu(void)
{
int choice;

printf("\n\n\n\n\n");
printf("0 - TERMINATE\n");
printf("1 - GET WORDS\n");
printf("2 - INCREMENTAL SORT\n");
printf("3 - DECREMENTAL SORT\n");
printf("4 - DISPLAY WORDS\n");
printf("5 - DO STATISTICS\n\n");
printf("Select operation:");
scanf("%d",&choice);
return (choice);
}

void get_words(void)
{
int i;

printf("get words\n");
for(i=0;i<MAX_WORDS;i++){
	scanf("%s",word[i]);
   printf("%s",word[i]);
	if(word[i][0]== '\0')
   	break;
  	}
for(i=0;i<30;i++)
	printf(word[i]);
scanf("%d",&i);   
}

void incremental_sort(void)
{
printf("incremental_sort\n");
}

void decremental_sort(void)
{
printf("decremental_sort\n");
}

void display_words(void)
{
printf("display_words\n");
}

void do_statistics(void)
{
printf("do_statistics\n");
}
