#include <stdio.h>
#include <stdlib.h>

#define NUMBER 1

int getop(char *);
int pop(void);
void push(int);

main()
{
int input_type;
char input[10];
int op;

while((input_type = getop(input))!=EOF) {
	switch(input_type){
		case NUMBER:
			push(atoi(input));
			break;
		case '+':
			push(pop()+pop());
			break;
		case '-':
			op = pop();
			push(pop()-op);
			break;	
		case '*':
			push(pop()*pop());
			break;
		case '/':
			op = pop();
			push(pop()/op);
			break;						
		case '=':
			printf("The result is:%d\n",pop());
			break;
		default:
			break;				
		}
	}
}




int getch(void);
void ungetch(int);
#define BUFSIZE	20
char buf[BUFSIZE];
int bufp = 0;

int getop(char input[])
{
  int i,c;

  while((input[0]=c=getch())==' ' || c=='\t')
  ;
  input[1]='\0';
  if (!isdigit(c) && c!='.')
      return c;
  i=0;
  if (isdigit(c))
     while (isdigit(input[++i]=c=getch()));
  if (c=='.')
     while (isdigit(input[++i]=c=getch()));
     input[i]='\0';
  if (c!=EOF)
     ungetch(c);
  return NUMBER;
}

int getch()
{
	return(bufp>0)?buf[--bufp]:getchar();
}

void ungectg(int c)
{
if(bufp>=BUFSIZE)
	printf("ungecth: buffer full\n");
else
	buf[bufp++] = c;
}