#include <stdio.h>

#define TERMINATE				0
#define GET_ADDRESS			1
#define INSERT_ADDRESS		2
#define LOOK4ADDRESS		3
#define DISPLAY_ADDRESSES	4

#define NAME_LEN	 40
#define PHONE_LEN	  8
#define EMAIL_LEN  30

struct address {
   char name[NAME_LEN];
   char phone[PHONE_LEN];
   char email[EMAIL_LEN];
	struct address *next;
};

typedef struct address ADDRESS;
typedef ADDRESS *PADDRESS;

int menu(void);
void get_address(PADDRESS);
void display_address(PADDRESS);
void insert_address(void);
void look4address(void);
void display_addresses(void);



void main()
{
int selected_op;
ADDRESS new_adr;
PADDRESS head_ptr=NULL;	/* pointer to start of list */

while((selected_op=menu())!= TERMINATE){
	switch(selected_op){
   	case GET_ADDRESS :
      	get_address(&new_adr);
      	break;
		case INSERT_ADDRESS :
      	insert_address();
      	break;
      case LOOK4ADDRESS  :
      	look4address();
      	break;
      case DISPLAY_ADDRESSES :
			display_addresses();
      	break;
       default :
      	printf(" o  \n");
      	break;
   	}
   display_address(&new_adr);
	}
}

int menu(void)
{
int choice;

printf("\n\n\n\n\n");
printf("0 - TERMINATE\n");
printf("1 - GET ADDRESS\n");
printf("2 - INSERT ADDRESS\n");
printf("3 - LOOK FOR ADDRESS\n");
printf("4 - DISPLAY ADDRESSES\n");
printf("Select operation:");
scanf("%d",&choice);
return (choice);
}

void get_address(PADDRESS p)
{
printf(":");
scanf("%s",p->name);
printf(":");
scanf("%s",p->phone);
printf("email:");
scanf("%s",p->email);
}

void display_address(PADDRESS p)
{
printf(": %s\n",p->name);
printf(": %s\n",p->phone);
printf("email: %s\n",p->email);
}
void insert_address(void)
{
printf("insert address\n");
}

void look4address(void)
{
printf("look4address\n");
}

void display_addresses(void)
{
printf("display addresses\n");
}
