/********************************************************************/
/********************************************************************/
	      /*     The towers of Anoi       */
/********************************************************************/
	      /*     Karatzas Emmanouil       */
	      /*        A.M. :3632            */
/********************************************************************/
/********************************************************************/
/********************************************************************/
/*  DEMO.C  :  demo(), solver()                                     */
/********************************************************************/

#include "anoi.h"

/***********************************************************************/
/***********************************************************************/

extern void print_all(int pin[][MAX_TOWER_HIGHT],int circle_num);
extern void array_set(int pin[][MAX_TOWER_HIGHT],int circle_num);
extern void press_key();

static void solver(int pin[][MAX_TOWER_HIGHT],int circle_num,
                                          int from,int to,int up);

/**********************************************************************/
void demo(int circle_num)         /* Main function for the demo */
/**********************************************************************/
{

int pin[TOWERS_NUM][MAX_TOWER_HIGHT];

array_set(pin,circle_num);
printf("\n");
print_all(pin,circle_num);    /* Print the towers for the first time */
getchar();
press_key();

solver(pin,circle_num,0,1,circle_num-1);


}


/***********************************************************************/
/***********************************************************************/

extern int move(int pin1[],int pin2[],int circle_num); 

/************************************************************************/
void solver(int pin[][MAX_TOWER_HIGHT],
		     int circle_num,int from,int to,int top)
		   /* Function that automaticaly solves the game */
/************************************************************************/
{
if(top==0){
   move(pin[from],pin[to],circle_num);
   print_all(pin,circle_num);
   press_key();
   }
else{
   solver(pin,circle_num,from,3-from-to,top-1);
   move(pin[from],pin[to],circle_num);
   print_all(pin,circle_num);
   press_key();
   solver(pin,circle_num,3-from-to,to,top-1);
   }
}


