/********************************************************************/
/********************************************************************/
	      /*     The towers of Anoi       */
/********************************************************************/
	      /*     Karatzas Emmanouil       */
	      /*        A.M. :3632            */
/********************************************************************/
/********************************************************************/
/********************************************************************/
/*       PRINT.C  :  print_all() , print_l()                        */
/********************************************************************/

#include "anoi.h"

/************************************************************************/
/************************************************************************/

static void print_l(int pinout);

/***********************************************************************/
void print_all(int pin[][MAX_TOWER_HIGHT],int circle_num)
				 /* Function that prints all the arrays */
/***********************************************************************/
{

int i;

for(i=(circle_num-1);i>=0;i--){
   print_l(pin[0][i]);   /* Print the i line of each array */
   print_l(pin[1][i]);      /*  seperately  */
   print_l(pin[2][i]);
   printf("\n");
   }
printf(" -------------------------");  /* Print the bases of the towers */
printf(" -------------------------");
printf(" -------------------------\n");
printf("             1            ");     /* Print the defining numbers */
printf("             2            ");     /*   for every tower   */
printf("             3            \n");
}


/***********************************************************************/
void print_l(int pinout)    /* Function that prints a line of a tower */
/***********************************************************************/
{

switch (pinout){
case 0:
	printf("             |            ");
	break;
case 1:
	printf("             *            ");
	break;
case 2:
	printf("            ***           ");
	break;
case 3:
	printf("           *****          ");
	break;
case 4:
	printf("          *******         ");
	break;
case 5:
	printf("         *********        ");
	break;
case 6:
	printf("        ***********       ");
	break;
case 7:
	printf("       *************      ");
	break;
case 8:
	printf("      ***************     ");
	break;
case 9:
	printf("     *****************    ");
	break;
case 10:
	printf("    *******************   ");
	break;
case 11:
	printf("   *********************  ");
	break;
case 12:
	printf("  *********************** ");
	break;
case 13:
	printf(" *************************");
	break;
	}
}



