#include <stdio.h>

#define COLUMNS 3
#define MAX 12

void find_top(int [COLUMNS][COLUMNS],int);
void sort(int [COLUMNS][COLUMNS]);
void move(int [COLUMNS][COLUMNS],int);
void gshow(int,int);

int towers[MAX][COLUMNS],moves;

main()
{
  int height,top_col_pos[COLUMNS][COLUMNS],i,j,f,end,speed;

  printf("ENTER THE HEIGHT OF THE HANNOY TOWER(3-12)\n");
  if(scanf("%d",&height)!=1){
     printf("WRONG ENTRY\n");
     return 0;
  }
  if (height>12 || height <3){
     printf("ENTRY IS OUT OF BOUNDS\n");
     return 0;
  }
  printf("CHOOSE SPEED (1-10)\n");
  if(scanf("%d",&speed)!=1){
     printf("INVALID SPEED\nDEFAULT SPEED : 5\n");
     speed = 5;
  }
  if (speed < 1 || speed > 10){
     printf("NOT ACCEPTED SPEED\nDEFAULT SPEED : 5\n");
     speed = 5;
  }

  for(i=0;i<height;i++)
     towers[i][0]=(i+1);
  gshow (height,speed);

  end = (height%2) ? 1 : 2;
  while (towers[0][end] != 1){
     find_top(top_col_pos,height);
     sort(top_col_pos);
     f=0;
     move(top_col_pos,f);
     moves++;
     gshow(height,speed);
  }
  printf("\n\n THE TOWER WAS MOVED IN %d MOVES\n",moves);
  return 0;
}

void find_top(int t_c_p[COLUMNS][COLUMNS],int h)
{
  int i,j;

  for(j=0; j<3 ; j++){
     for(i=0;towers[i][j]==0 && i <(h-1);i++)
	;
     t_c_p[j][0] = towers[i][j];
     t_c_p[j][1] = j;
     t_c_p[j][2] = i;
  }
}
void swap(int [COLUMNS][COLUMNS],int,int);

void sort(int t_c_p[COLUMNS][COLUMNS])
{
  int i,j;

  for(i=0;i<2;i++){
     for(j=i+1;j<3;j++){
	if(t_c_p[i][0] < t_c_p[j][0])
	    swap(t_c_p,i,j);
     }
  }
}

void swap(int t_c_p[COLUMNS][COLUMNS],int i,int j)
{
   int temp[COLUMNS];

   temp[0] = t_c_p[i][0];
   temp[1] = t_c_p[i][1];
   temp[2] = t_c_p[i][2];
   t_c_p[i][0] = t_c_p[j][0];
   t_c_p[i][1] = t_c_p[j][1];
   t_c_p[i][2] = t_c_p[j][2];
   t_c_p[j][0] = temp[0];
   t_c_p[j][1] = temp[1];
   t_c_p[j][2] = temp[2];
}

void move (int t_c_p[COLUMNS][COLUMNS],int f)
{
   int dest,i,col;

   if((t_c_p[f][0] %2) == 1) {
      dest = t_c_p[f][1] +1;
      if (dest ==3)
	 dest = 0;
   }

   else {
      dest = t_c_p[f][1] - 1;
      if (dest == -1)
	  dest = 2;
   }

   for (i=0;t_c_p[i][1] != dest;i++)
      ;
   col = (t_c_p[i][0]) ? 1:0;
   if (t_c_p[f][0] > t_c_p[i][0] && t_c_p[i][0] != 0){
      move(t_c_p,++f);
      return ;
   }

   towers[t_c_p[i][2] - col][dest] = t_c_p[f][0];
   towers[t_c_p[f][2]][t_c_p[f][1]] = 0;
}

#include <stdlib.h>

#define S 178
#define B 205
#define BL 200
#define BM 202
#define BR 188

void r_print(int,int);

#define TIME 300000

void gshow (int h,int s)
{
   int i,j,fix;
   long k;

   system("cls");
   printf("\n\n\n\t\t\t\tmove %d\n\n",moves);
   for(i=0;i<h;i++) {
      r_print((MAX-towers[i][0]+4),32);
      r_print((2*towers[i][0]-1),S);
      fix = (towers[i][0]) ? 1 : 0;
      r_print((2*MAX - towers[i][0] - towers[i][1]+fix),32);
      r_print((2*towers[i][1]-1),S);
      fix = (towers[i][1]) ? 1: 0;
      r_print((2*MAX - towers[i][1] - towers[i][2]+fix),32);
      r_print((2*towers[i][2]-1),S);
      putchar('\n');
   }
   printf("   %c",BL);
   r_print(23,B);
   putchar(BM);
   r_print(23,B);
   putchar(BM);
   r_print(23,B);
   putchar(BR);
   putchar('\n');
   for(k=0;k<(TIME*s);k++)
     ;
}

void r_print(int n,int k)
{
   int i;

   for (i=0;i<n;i++)
      putchar(k);
}