                                /* HEADER FILE FOR TOH.H


----------------------------------------------------------------------- */

        /* COMMAND LINE PARAMETERS */

#define HELP 1
#define DEMO 2
#define INTRO 3
#define MATRIX 4
#define FEEDBACK 5

char comlineparamset[]="h\0d\0;\0m\0f\0\0\0!?!\0";

        /* PROGRAMME CODE CONTROL - MACRO DEFINITIONS */

#define MAXCYLS_MATRIX 27
#define MAXCYLS_TEXT 12
#define CYL_CHAR 220
#define WAITFORKEY checkbuf(0); while( !bioskey(1) && !mousebutton(1) );
#define SCREENC(x,y) textbackground(x); textcolor(y);
#define PUTCHSTR(x,y,i,l,ptr) gotoxy(x,y); for(i=0;i<(l);i++) putch(*(ptr+i));
#define SHOWLABEL(b,c,x,y,i,l,ptr) SCREENC(b,c) PUTCHSTR(x,y,i,l,ptr)
#define pow2(y) (1 << ((y)-1))
#define TERM_CHAR 17 /* Termination with Ctrl-Q */
#define MOUSECURSOR 2 /* definition of mouse's pointing char */
#define SOUNDDELAY 170 /* the delay when setting up cyls on game table */
#define SOUND_FREQ_1 700 /* Sound frequency - From column "X" */
#define SOUND_FREQ_2 2700 /* Sound frequency - To column "Y" */
#define CLICKSOUND(x) sound(x); delay(SOUNDDELAY); nosound();

        /* EXECUTION SPEED CONTROL */

#define MOVESPERSEC_D 0.135 /* For Demo */
#define MOVESPERSEC_P 0.120 /* For Game Play */
#define TIMECOEFF 1.1

        /* INTRODUCTION COLORS */

#define INTROD_M1CHAR_COLOR 14
#define INTROD_M2CHAR_COLOR 12
#define INTROD_M3CHAR_COLOR 7
#define INTROD_MBACK_COLOR 0

        /* INPUT PAGE PARAMETERS */

#define GET_PARAM_BACK_C 0
#define GET_PARAM_CHAR_C 7
#define QX 12
#define Q1Y 9
#define Q2Y 12
#define Q3Y 15

        /* GAME SCREEN PARAMETERS */

#define GAMESCR_BACK_C 0
#define GAMESCR_CHAR_C 7
#define TABLO_CHAR_COLOR 6      /* WOODEN TABLO COLORS */
#define TABLO_BACK_COLOR 0
#define NOT_BOARD_BACK_COLOR 0  /* NOTEPAD COLORS */
#define NOT_BOARD_CHAR_COLOR 7
#define GAMESCR_LAB000_X 33
#define GAMESCR_LAB000_Y 3
#define GAMESCR_LAB0_X 27
#define GAMESCR_LAB0_Y 3

        /* GAME LABELS */

#define LABEL_BACK_C 1
#define LABEL_CHAR_C 14

char
timetable[]="00:00:00\0",
label[80]="   * * *               T H E     H A N O I     T O W E R S              * * *   ",
label0[25]="<   PRESS   ANY   KEY   >",
label00[46]="< Use Ctrl-Q to abandon programme execution! >",
label000[13]="* W R O N G *";

        /* INCLUDE HEADER FILES & FUNCTIONS */

#include <stdio.h>
#include <time.h>
#include <conio.h>
#include <stdlib.h>

#include <d:\tc\myfunc\sys\REGISTER.DEC>
#include <d:\tc\myfunc\sys\cursor.f>
#include <d:\tc\myfunc\sys\mouse.f>
#include <d:\tc\myfunc\sys\chkcoml.f>
#include <d:\tc\myfunc\fileprnt.f>
#include <d:\tc\myfunc\even.f>
#include <d:\tc\myfunc\power.f>
#include <d:\tc\myfunc\newcol.f>
#include <d:\tc\myfunc\fzelem.f>
#include <d:\tc\myfunc\checkbuf.f>
#include <d:\tc\myfunc\cgetint.f>
#include <d:\tc\myfunc\showtime.f>

        /* FUNCTION PROTOTYPES */

void cursor(int,int);
int even(int);
double power(int,int);
int newcol(int,int);
int fzelem(int *,int);
int checkbuf(char);
int cgetint(int);
void showtime(long,char *);

        /* FUNCTION PROTOTYPES */

void movtrees(int);
void movtree();
void gameplay();
void screen_init();
int showcyl(int,int,int,char);
int showmove(int,int,int);
void termination(int);