/*
#include <stdlib.h>
#include <stdio.h>
#include <conio.h>
*/

/* We input an integer in the form of a string */

int cgetint(int length) {

/* i=0 -> get short signed int    -> length=9 char
   i=1 -> get short unsigned int  -> length=8 char
   i=2 -> get long signed int     -> length=14 char
   i=3 -> get long unsigned int   -> length=13 char */

/* The length must be enough to contain the sign, the digits
   of the longest integer that the computer must input, the 2
   information characters for function "cgets" AND 1 character
   for the "\0" */


	int number;
	register flag=0;

/* We allocate memory for the string and its peripherals */

	char *ptr1, *ptr2=malloc(length);

/*  We ask for a number in the form of a string, with length "length" */

	*ptr2=length-2;
	ptr1=cgets(ptr2);

/* We check if there is a sign */

	if(*ptr1=='+' || *ptr1=='-') flag=1;

/* We check if the input is an integer */

	for( ptr1+=flag ; *ptr1 ; ptr1++ ) {
		if( *ptr1 > 57 || *ptr1 < 48 )
			return EOF;
	}

/* We convert the string to an integer */

	number=atoi(ptr2+2+flag);
	return (*(ptr2+2)=='-') ? -number : number;

}

