/* 1) Reads all of the command line arguments.
   2) Compares them to a given list of arguments:
          "alpha\0beta\0\0\0gamma\0delta\0\0epsilon\0\0\0\0\0zita\0itta\0...!?!\0"
          The function compares every command line argument to each argument
          of the given list UNTIL ARGUMENT "!?!" IS FOUND! Thus every argument
          list must have "!?!\0" AS the LAST argument.
   3) Returns the equivalent flags in the form of a bit field (int). */

#include <d:\tc\myfunc\sys\strcmpci.f>
#define END_MARK "!?!"

int chkcoml(int argc,char **argv,char *arglistv) {

register i;
int flag=0;
void *tmpptr=arglistv;                  /* HOLDS THE INITIAL POINTER */

while( argc > 1 )  {
        argc--,argv++;
        for( i=1 ; !strcmp_ci(arglistv,END_MARK) ; i++ ) {
                if( strcmp_ci(*argv,arglistv) )
                        flag |= (1 << (i-1));
                while( *++arglistv );   /* NEXT ARGUMENT: SKIP PREVIOUS ARGUMENT */
                while( !*++arglistv) ;  /* NEXT ARGUMENT: SKIP FOLLOWING '\0' */
        }
        if( argc > 1 )
                arglistv=tmpptr;                /* RE-INITIALIZATION OF POINTER TO ARG. SET */
}
return flag;
}

#undef END_MARK