/* This function controls the size of the cursor. To disable the cursor
   simply the value of high must be lower than the value of low. The
   cursor consists of horizontal pixel strings in the character box.
   The strings should be count from the top to the bottom, beggining
   with 0. A regular size of the cursor is: high=7 & low=6 */

void cursor(int high,int low) {
   union REGS ir, or;
   ir.h.ah = 0x01;
   if(high >= low) {
		ir.h.cl = high;
		ir.h.ch = low;
   }
   else
	 ir.h.ch = 0x20;
   int86(0x10, &ir, &or);
   return;
}