/* OPENS THE FILE "FILENAME" IN THE CURRENT WORKING DIRECTORY
	AND PRINTS TO THE STDOUT.
	ON ERROR, RETURNS 0.
	ON SUCCESS, RETURNS 1. */

#include <fcntl.h>

int print_file(const char *filename) {

int fh;
char *buffer;

if( (fh = open( filename , O_BINARY ) ) == -1 ) {
	printf("\nProblem: Cannot open file.\n");
	exit(0);
}

if( !(buffer = malloc( filelength( fh ) + 1) ) ) {
	printf("\nProblem: Out of memory.\n");
	exit(0);
}
*( buffer + filelength ( fh ) ) = 0;

if( fh != -1 && buffer ) {
	read( fh , buffer , filelength( fh ) );
	printf( "%s", buffer );
	return 1;
}
return 0;
}

