/* 1) Gets time in SECONDS and where to note the string.
	  The target string must:
	  a) be 9 byte long
	  b) contain the separators e.g. ':'
	  c) and the last char must be the \0.
   2) Transforms time to hour,minutes,seconds.
   3) Returns pointer to a string of the form 11 23 17 */

void showtime(long curtime, char *destin) {

	long h=curtime/3600,        /* HOURS */
		 m=(curtime-h*3600)/60, /* MINUTES */
		 s=curtime-h*3600-m*60; /* SECONDS */

	*destin=48+h/10;
	*(destin+1)=48+h%10;
	*(destin+3)=48+m/10;
	*(destin+4)=48+m%10;
	*(destin+6)=48+s/10;
	*(destin+7)=48+s%10;

	return;
}



